<?xml version="1.0" encoding="iso-8859-1"?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
    "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="en">
<!-- FileDetails/Synopsis/Token.hh.html -->
<!-- this view was generated by FileDetails -->
<head>
<meta content="text/html; charset=iso-8859-1" http-equiv="Content-Type"/>
<title >Synopsis - Synopsis/Token.hh Details</title>
<link href="../../style.css" type="text/css" rel="stylesheet" />
</head>
<body class="FileDetails">
<div class="navigation">
<span class="normal"><a href="../../Scopes/global.html" >Global Namespace</a></span>
<span class="normal"><a href="../../InheritanceTree.html" >Inheritance Tree</a></span>
<span class="normal"><a href="../../InheritanceGraph.html" >Inheritance Graph</a></span>
<span class="normal"><a href="../../NameIndex.html" >Name Index</a></span>
</div>
<h1 >Synopsis/Token.hh</h1><div><a href="../../Source/Synopsis/Token.hh.html" target="content">source code</a></div>
<h2 class="heading">Includes from this file:</h2><p>No includes.</p>
<h2 class="heading">Declarations in this file:</h2>
<div><h3>Data members in Synopsis::Token</h3>
<div class="item"><a href="../../Scopes/Synopsis/Token.html#length" >length</a>
<div class="doc"></div></div>
<div class="item"><a href="../../Scopes/Synopsis/Token.html#ptr" >ptr</a>
<div class="doc"></div></div>
<div class="item"><a href="../../Scopes/Synopsis/Token.html#type" >type</a>
<div class="doc"></div></div>

</div>
<div><h3>Enums in Synopsis::Token</h3>
<div class="item"><a href="../../Scopes/Synopsis/Token.html#`0000" >`0000</a>
<div class="doc"></div></div>

</div>
<div><h3>Member functions in Synopsis::Token</h3>
<div class="item"><a href="../../Scopes/Synopsis/Token.html#Token_l_r" >Token&#40;&#41;</a>
<div class="doc"></div></div>
<div class="item"><a href="../../Scopes/Synopsis/Token.html#Token_lconst.char_S_csize_t_cType_r" >Token&#40;const&#160;char*&#44;size_t&#44;Type&#41;</a>
<div class="doc"></div></div>
<div class="item"><a href="../../Scopes/Synopsis/Token.html#operator_e_e_lchar_rconst" >operator==&#40;char&#41;const</a>
<div class="doc"></div></div>

</div>
<div><h3>Namespaces</h3>
<div class="item"><a href="../../Scopes/Synopsis.html" >Synopsis</a>
<div class="doc"></div></div>

</div>
<div><h3>Structs in Synopsis</h3>
<div class="item"><a href="../../Scopes/Synopsis/Token.html" >Token</a>
<div class="doc"><p>A Token is what the Lexer splits an input stream into.</p>
</div></div>

</div>
<div><h3>Typedefs in Synopsis::Token</h3>
<div class="item"><a href="../../Scopes/Synopsis/Token.html#Type" >Type</a>
<div class="doc"></div></div>
</div>

</body>
</html>
